Bug 1241271 - Postdeploy steps do not account for new no_proxy contents
Summary: Postdeploy steps do not account for new no_proxy contents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Brad P. Crochet
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-08 21:25 UTC by Brad P. Crochet
Modified: 2015-08-05 13:58 UTC (History)
6 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-31.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:58:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239248 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Brad P. Crochet 2015-07-08 21:25:20 UTC
When a proxy is in play, the overcloudrc contains a no_proxy line. The post deploy step needs to take into account the new information in the no_proxy line.

Comment 3 Brad P. Crochet 2015-07-08 21:51:28 UTC
https://review.gerrithub.io/239248

Comment 5 Omri Hochman 2015-07-30 20:24:05 UTC
Verified : python-rdomanager-oscplugin-0.0.8-43.el7ost.noarch

Checked that the code merged https://review.gerrithub.io/#/c/239444/3/rdomanager_oscplugin/v1/overcloud_deploy.py
 
found it in :/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py 


        if args.template_root:
            tht_root = args.template_root
        else:
            tht_root = TRIPLEO_HEAT_TEMPLATES

        environment = os.path.join(tht_root,
                                   RHEL_REGISTRATION_EXTRACONFIG_NAME,

Comment 7 errata-xmlrpc 2015-08-05 13:58:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.